declare enum CharacterType {
    SPACE = 0,
    ALPHA_LETTER = 1,
    PUNCT = 2,
    HAN_LETTER = 3,
    KATAKANA_LETTER = 4,
    HIRAGANA_LETTER = 5,
    HALFWIDTH_KATAKANA_LETTER = 6,
    THAI_LETTER = 7
}
export declare function getCharacterType(charCode: number): CharacterType;
export declare function convertToRegExpString(query: string, matchDiacritics?: boolean, hasDiacritics?: boolean): [boolean, string];
export declare function isEntireWord(content: string, startIndex: number, length: number): boolean;
export {};
